Subject: Solaris 10 - login shell error

From: Cesar Inacio Martins <[email-masked]>
Date: Tue, 2 Sep 2008 08:21:06 -0700 (PDT)

Hi all, 

I'm new with screen utils. I love it! 
A few days I'm using it over Linux machine without problems. 
Now I trying install over a Sun Solaris 10 (SPARC) and got a little problem.

Here is the information about the version:

# screen --version
Screen version 4.00.02 (FAU) 5-Dec-03

# cat /etc/release
                       Solaris 10 8/07 s10s_u4wos_12b SPARC
           Copyright 2007 Sun Microsystems, Inc.  All Rights Reserved.
                        Use is subject to license terms.
                            Assembled 16 August 2007

# pkginfo -l SFWscrn
   PKGINST:  SFWscrn
      NAME:  screen - A full-screen window manager
  CATEGORY:  system
      ARCH:  sparc
   VERSION:  4.0.2,REV=2006.10.04.21.15
   BASEDIR:  /opt
    VENDOR:  http://www.gnu.org/software/screen/
      DESC:  screen - A full-screen window manager
    PSTAMP:  freeware20061004212406
  INSTDATE:  ago 29 2008 14:37
   HOTLINE:  Please contact the owners of this software
    STATUS:  completely installed
     FILES:       37 installed pathnames
                   7 shared pathnames
                  10 directories
                   1 executables
                1915 blocks used (approx)

Well , my problem is with "shell" parameter on the ".screenrc".
I put the shell to work with login shell "-" .
shell - 

In this sample, I using the user "cmartins":
> grep cmartins /etc/passwd
cmartins:x:198:106::/home/cmartins:/bin/bash

On my $HOME/.profile I add a command and this works fine when I login on the system. But when screen are started , a weird syntax error occur. 
This is my profile:
> cat .profile
    #
    # Copyright (c) 2001 by Sun Microsystems, Inc.
    # All rights reserved.
    #
    # ident "@(#)local.profile      1.10    01/06/23 SMI"
    stty istrip
    PATH=/usr/bin:/usr/ucb:/etc:.
    export PATH
    vSO=$(uname)

I just add the "vSO" variable.
When screen are started this message appear:
    :screen (-): -
    -: syntax error: `vSO=$' unexpected

If I remove the ".screenrc" file and start screen with "-s -" parameter, the same error occur.

BTW: I have the same commands of the profile and .screenrc running on a linux 
machine without problems.

      Novos endereços, o Yahoo! que você conhece. Crie um email novo com a sua cara @ymail.com ou @rocketmail.com.
http://br.new.mail.yahoo.com/addresses

_______________________________________________
screen-users mailing list
[email-masked]
http://lists.gnu.org/mailman/listinfo/screen-users